package cn.com.qmth.examcloud.tool.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class SysProperty {

    /**
     * 默认文件存放目录
     */
    @Value("${examcloud.tool.dataDir}")
    public String dataDir;

    /**
     * 云平台接口地址前缀
     */
    @Value("${examcloud.server.url}")
    public String serverUrl;

    @Value("${examcloud.server.domain}")
    public String serverDomain;

    @Value("${examcloud.server.loginName}")
    public String serverLoginName;

    @Value("${examcloud.server.password}")
    public String serverPassword;

    public String getDataDir() {
        return dataDir;
    }

    public void setDataDir(String dataDir) {
        this.dataDir = dataDir;
    }

    public String getServerUrl() {
        return serverUrl;
    }

    public void setServerUrl(String serverUrl) {
        this.serverUrl = serverUrl;
    }

    public String getServerDomain() {
        return serverDomain;
    }

    public void setServerDomain(String serverDomain) {
        this.serverDomain = serverDomain;
    }

    public String getServerLoginName() {
        return serverLoginName;
    }

    public void setServerLoginName(String serverLoginName) {
        this.serverLoginName = serverLoginName;
    }

    public String getServerPassword() {
        return serverPassword;
    }

    public void setServerPassword(String serverPassword) {
        this.serverPassword = serverPassword;
    }

}
